openoffice-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Dennis E. Hamilton" <dennis.hamil...@acm.org>
Subject RE: a question about "APPLY-4.1.2-patch1.bat"
Date Sat, 20 Aug 2016 16:09:02 GMT
Apache OpenOffice 4.1.2 *does* *not* install hwp.dll.  It should not be there.  

That is one of the ways that we can determine that the patch is likely being applied to 4.1.2
and not an incorrect version.  hwp.dll was removed as part of the resolution of CVE-2015-1774,

<http://www.openoffice.org/security/cves/CVE-2015-1774.html>.

If your version of 4.1.2 was obtained from the openoffice.org download page, it is safe to
delete hwp.dll.  If it has an earlier date than other files (such as tl.dll), that means it
is probably left-over from the install of an earlier AOO version.

Please confirm if that is the case.

 - Dennis



> -----Original Message-----
> From: Jörg Schmidt [mailto:joesch@j-m-schmidt.de]
> Sent: Saturday, August 20, 2016 01:53
> To: dev@openoffice.apache.org
> Subject: a question about "APPLY-4.1.2-patch1.bat"
> 
> Hello,
> 
> Maybe, i would like to create a German-annotated version of patch, but I
> do not understand a line of APPLY-4.1.2-patch1.bat.
> 
> What is the purpose of line:
> IF EXIST "%AOOPATCH%\hwp.dll" GOTO :FAIL2
> 
> 
> I have an original version of AOO installed 4.1.2 and there is hwp.dll
> exists. But that does that the script terminates without the patch to
> install.
> 
> Is that on purpose? Or I do not understand the technical background?
> 
> 
> 
> 
> Greetings,
> Jörg
> 
> 
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: dev-unsubscribe@openoffice.apache.org
> For additional commands, e-mail: dev-help@openoffice.apache.org


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@openoffice.apache.org
For additional commands, e-mail: dev-help@openoffice.apache.org


Mime
View raw message